Package org.gradle.api.plugins

# Class GroovyPlugin

java.lang.Object
org.gradle.api.plugins.GroovyPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public class GroovyPlugin extends Object implements Plugin<Project>

A `Plugin` which extends the `JavaPlugin` to provide support for compiling and documenting Groovy source files.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`GROOVYDOC_TASK_NAME`

## Constructor Summary

Constructors
Constructor
Description
`GroovyPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Project project)`
Apply this plugin to the given target object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GROOVYDOC_TASK_NAME

public static final String GROOVYDOC_TASK_NAME

See Also:
  - Constant Field Values

## Constructor Details

### GroovyPlugin

public GroovyPlugin()

## Method Details

### apply

public void apply(Project project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `project` - The target object